Skip to content
Docs

API reference / Operations by tag

events

S2S in-app event ingestion and erasure.

2 operations. Base URL https://api.metrixed.com/v1; see authentication, errors and pagination.

Operations

MethodPathSummary
POST/events/erasePrivacy erasure
POST/events/ingestS2S events/installs/sessions (app API key)

POST /events/erase

Privacy erasure

Operation postEventsErase. Auth: API key (Bearer) or session cookie.

Request body (application/json, required): ErasureRequest

FieldTypeFlagsDescription
click_idstring
device_idstring
ipstring
email_hashstring
user_idstring
StatusDescriptionBody
202okapplication/json Job
defaulterrorapplication/json Error
bash
curl -X POST 'https://api.metrixed.com/v1/events/erase' \
  -H "Authorization: Bearer $DT_API_KEY" \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  --data-raw '{"click_id":"","device_id":"","ip":"","email_hash":""}'

Example 202 response:

json
{
  "external_ref": ""
}

POST /events/ingest

S2S events/installs/sessions (app API key)

Operation postEventsIngest. Auth: API key (Bearer) or session cookie.

Request body (application/json, required): EventBatch

FieldTypeFlagsDescription
eventsarray of Eventrequired
idempotency_keystring
StatusDescriptionBody
202okapplication/json Ok
defaulterrorapplication/json Error
bash
curl -X POST 'https://api.metrixed.com/v1/events/ingest' \
  -H "Authorization: Bearer $DT_API_KEY" \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  --data-raw '{"events":[{"app_id":"","event_name":"","device":{}}]}'

Example 202 response:

json
{
  "ok": false
}